/*
 * @Author: your name
 * @Date: 2021-09-18 16:06:51
 * @LastEditTime: 2021-09-26 14:30:52
 * @LastEditors: Please set LastEditors
 * @Description: 表格的配置
 * @FilePath: \hyyfClient\src\views\BioSafety\personAdmin\table.config.js
 */
export const titles = ['车辆档案', '门禁记录', '人员列表']

const tableItems1 = [
  {
    prop: 'serialNumber',
    label: '编号',
    minWidth: '100',
    slotName: 'serialNumber'
  },
  {
    prop: 'photo',
    label: '车辆图片',
    minWidth: '150',
    slotName: 'photo'
  },
  {
    prop: 'numPlate',
    label: '车牌号',
    minWidth: '150',
    slotName: 'numPlate'
  },
  {
    prop: 'driver',
    label: '驾驶人',
    minWidth: '150',
    slotName: 'driver'
  },
  {
    prop: 'usage',
    label: '用途',
    minWidth: '150',
    slotName: 'usage'
  },
  {
    prop: 'status',
    label: '状态',
    minWidth: '100',
    slotName: 'status'
  },
  {
    prop: 'blacklist',
    label: '黑名单',
    minWidth: '150',
    slotName: 'blacklist'
  },
  {
    label: '操作',
    minWidth: '150',
    slotName: 'handler'
  }
]

const tableItems2 = [
  {
    prop: 'place',
    label: '洗消地点',
    minWidth: '100',
    slotName: 'place'
  },
  {
    prop: 'photo',
    label: '车辆图片',
    minWidth: '150',
    slotName: 'photo'
  },
  {
    prop: 'startTime',
    label: '开始时间',
    minWidth: '150',
    slotName: 'startTime'
  },
  {
    prop: 'status',
    label: '状态',
    minWidth: '150',
    slotName: 'status'
  },
  {
    prop: 'endTime',
    label: '结束时间',
    minWidth: '150',
    slotName: 'endTime'
  },
  {
    label: '操作',
    minWidth: '150',
    slotName: 'handler'
  }
]

const tableItems3 = [
  {
    prop: 'place',
    label: '烘干地点',
    minWidth: '150',
    slotName: 'place'
  },
  {
    prop: 'photo',
    label: '车辆图片',
    minWidth: '150',
    slotName: 'photo'
  },
  {
    prop: 'startTime',
    label: '开始时间',
    minWidth: '150',
    slotName: 'startTime'
  },
  {
    prop: 'status',
    label: '状态',
    minWidth: '150',
    slotName: 'status'
  },
  {
    prop: 'endTime',
    label: '结束时间',
    minWidth: '150',
    slotName: 'endTime'
  },
  {
    label: '操作',
    minWidth: '150',
    slotName: 'handler'
  }
]

export const tableItems = [tableItems1, tableItems2, tableItems3]

export const tableShows = {
  showIndex: false, showSelect: true
}
